Name:		tideEditor
Version:	1.4.3
Release:	5%{?dist}
Summary:	Editor for Tide Constituent Database (TCD) files

Group:		Applications/Engineering
License:	GPLv3+
URL:		http://www.flaterco.com/xtide/
Source0:	ftp://ftp.flaterco.com/xtide/%{name}-%{version}.tar.bz2

BuildRequires:	qt4-devel
BuildRequires:	libtcd-devel
# Temporally
BuildRequires:	automake
Requires:	xtide-common

%description
tideEditor is an editor for Tide Constituent Database (TCD) files.  It
was written by Jan C. Depner but is now jointly maintained by David
Flater and Jan Depner.

%prep
%setup -q -n tideeditor-%{version}

%build
export CPPFLAGS="$RPM_OPT_FLAGS"
for mod in \
	QtCore \
	QtGui \
	Qt3Support
do
	export CPPFLAGS="${CPPFLAGS} $(pkg-config --cflags $mod)"
done	
export ac_cv_path_MOC=%{_bindir}/moc-qt4

%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/tideEditor

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan  5 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4.3-2
- F-17: rebuild against gcc47

* Mon Sep 19 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4.3-1
- 1.4.3

* Tue Sep 13 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.4.2-1
- 1.4.2
- License change: GPLv2+ -> GPLv3+

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 19 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.1-5
- Rebuild for new libtcd

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.1-4
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.1-3
- F-11: Mass rebuild

* Tue Apr  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.1-2
- Fix BuildRequires wrt qt3 <-> qt4 name change

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.1-1.dist.3
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.1-1.dist.2
- License update

* Wed Apr 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.1-1
- 1.4.1

* Fri Apr 13 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4-1
- 1.4

* Tue Nov 28 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3.12.0.2-1
- 1.3.12-r2.

* Mon Nov 27 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3.12-3
- Remove unneeded BR

* Sun Nov 26 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3.12-2
- Drop desktop file after discuss with David Flater (upstream) and
  Patrice Dumas (reviewer)

* Thu Nov 23 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3.12-1
- 1.3.12 release
- Introduce a shell script for GNOME desktop usage.

* Mon Nov 20 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3.12-0.1.dev1
- Split from xtide, repackaging (see bug 211626)
